%if 0%{?fedora}
%global with_python3 1
%endif

%global pypi_name sphinxcontrib-blockdiag

Name:           python-%{pypi_name}
Version:        1.5.5
Release:        7%{?dist}
Summary:        Sphinx "blockdiag" extension

License:        BSD
URL:            https://github.com/blockdiag/sphinxcontrib-blockdiag
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
A sphinx extension for embedding block diagram using blockdiag_.

%package -n python2-%{pypi_name}
Summary:        Sphinx "blockdiag" extension
%{?python_provide:%python_provide python2-%{pypi_name}}

BuildRequires:  python2-setuptools
BuildRequires:  python2-devel
Requires:       python2-blockdiag >= 1.5.0
Requires:       python2-sphinx >= 0.6
%description -n python2-%{pypi_name}
A sphinx extension for embedding block diagram using blockdiag_.

%if 0%{?with_python3}
%package -n python3-%{pypi_name}
Summary:        Sphinx "blockdiag" extension
%{?python_provide:%python_provide python3-%{pypi_name}}
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
Requires:       python3-blockdiag >= 1.5.0
Requires:       python3-sphinx >= 0.6
%description -n python3-%{pypi_name}
A sphinx extension for embedding block diagram using blockdiag_.
%endif

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif


%files -n python2-%{pypi_name}
%license LICENSE
%doc README.rst
%{python2_sitelib}/sphinxcontrib
%{python2_sitelib}/sphinxcontrib_blockdiag-*.egg-info
%{python2_sitelib}/sphinxcontrib_blockdiag-*.pth
%exclude %{python2_sitelib}/sphinxcontrib/tests

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/sphinxcontrib
%{python3_sitelib}/sphinxcontrib_blockdiag-*.egg-info
%{python3_sitelib}/sphinxcontrib_blockdiag-*.pth
%exclude %{python3_sitelib}/sphinxcontrib/tests
%endif

%changelog
* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.5.5-7
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.5.5-6
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.5.5-2
- Rebuild for Python 3.6

* Tue Sep 20 2016 Javier Peña <jpena@redhat.com> - 1.5.5-1
- Initial package.
